Announcement

Collapse
No announcement yet.

Upgrade database error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade database error

    I am trying to upgrade a vBulletin 2.3.4 to the latest vBulletin software.

    When I try to run the upgrade script I get the following error.....

    Code:
    Database error in vBulletin :
    
    mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client
    /home/httpd/vhosts/mysite.com/httpdocs/forums2/includes/class_core.php on line 274
    
    MySQL Error  : 
    Error Number : 
    Date         : Tuesday, July 3rd 2007 @ 11:57:05 AM
    Script       : http://www.mysite.com/forums2/install/upgrade.php
    Referrer     : 
    IP Address   : xx.xxx.xxx.xx
    Username     : 
    Classname    : vb_database
    Any ideas as to what I should check?
    Discuss and debate theology at TheologyOnline.com

  • #2
    In your config.php file what mysql type did you select?

    Comment


    • #3
      Originally posted by Zachery View Post
      In your config.php file what mysql type did you select?
      I used....

      mysql
      Discuss and debate theology at TheologyOnline.com

      Comment


      • #4
        I tried using a few other options just to see if they would work and they didn't.

        Here is what I am trying to do....

        I want to leave my board open so I made a copy of my database and installed the new vbulletin software in a different directory "forums2" I would like to update this "copy" of the forums and database so I can get my forum all updated before I open it to my members.

        I have double and triple checked all my forum paths and they seem to be OK.

        Also, on this same server I have a current vBulletin running on another website so my PHP and MsQL versions should be compatible.

        Any ideas?
        Discuss and debate theology at TheologyOnline.com

        Comment


        • #5
          Oh... one more thing....

          I also get a database error when I try to run the script....
          http://www.mysite.com/forums2/database_conflicts.php

          Does that give us any clues?
          Discuss and debate theology at TheologyOnline.com

          Comment

          Related Topics

          Collapse

          Working...
          X